Name:		transmageddon
Version:	1.5
Release:	%mkrel 8
License:	LGPLv2+
Summary:	A Video Transcoder
Group:		Video/Editors and Converters
Url:		http://www.linuxrising.org
Source:		http://www.linuxrising.org/files/%{name}-%{version}.tar.xz
Patch1:		transmageddon-configure.patch
BuildArch:	noarch
BuildRequires:	fdupes
BuildRequires:	intltool
BuildRequires:	python3
BuildRequires:	gnome-common
BuildRequires:	appdata-tools
BuildRequires:  pkgconfig(appstream-glib)
Requires:	gstreamer1.0-plugins-base
Requires:	python3-gobject3
Recommends:	gstreamer1.0-plugins-good
Recommends:	gstreamer1.0-plugins-bad
Recommends:	gstreamer1.0-plugins-ugly
Recommends:	lsdvd

%description
Transmageddon is a video transcoder for Linux and Unix systems
built using GStreamer. It supports almost any format as its input
and can generate a very large host of output files. The goal of the
application was to help people to create the files they need to be
able to play on their mobile devices and for people not hugely
experienced with multimedia to generate a multimedia file without
having to resort to command line tools with ungainly syntaxes.

%prep
%setup -q
%autopatch -p1

%build
rm -f common/m4/glib-gettext.m4
NOCONFIGURE=1 gnome-autogen.sh
%configure
%make_build

%install
%make_install
%fdupes %{buildroot}%{_datadir}
%find_lang %{name} %{?no_lang_C}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}*
%{_iconsdir}/*/*/*/%{name}.*
%{_datadir}/metainfo/%{name}.appdata.xml


%changelog
* Sat May 23 2020 wally <wally> 1.5-8.mga8
+ Revision: 1587015
- drop python2 BR
- clean requires

* Wed Feb 12 2020 umeabot <umeabot> 1.5-7.mga8
+ Revision: 1508199
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%apply_patches

* Fri Sep 21 2018 umeabot <umeabot> 1.5-6.mga7
+ Revision: 1291939
- Mageia 7 Mass Rebuild

* Sun Sep 24 2017 daviddavid <daviddavid> 1.5-5.mga7
+ Revision: 1158838
- s/appdata/metainfo/

* Sun Feb 21 2016 luigiwalser <luigiwalser> 1.5-4.mga6
+ Revision: 975383
- remove local copy of glib-gettext.m4
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 danf <danf> 1.5-3.mga6
+ Revision: 894279
- Added missing BuildRequires

* Sun Dec 07 2014 zezinho <zezinho> 1.5-2.mga5
+ Revision: 802009
- recommends lsdvd as it is needed for DVD rip

* Fri Dec 05 2014 zezinho <zezinho> 1.5-1.mga5
+ Revision: 801668
- new version 1.5

* Wed Oct 15 2014 umeabot <umeabot> 1.3-3.mga5
+ Revision: 738832
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-2.mga5
+ Revision: 689944
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Wed Jul 09 2014 ovitters <ovitters> 1.3-1.mga5
+ Revision: 650844
- new version 1.3

* Tue May 20 2014 ovitters <ovitters> 1.1-1.mga5
+ Revision: 624475
- resync patch
- new version 1.1
- update source url

* Fri Oct 18 2013 umeabot <umeabot> 0.25-4.mga4
+ Revision: 519712
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.25-3.mga3
+ Revision: 384756
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 mitya <mitya> 0.25-2.mga3
+ Revision: 320385
+ rebuild (emptylog)

* Wed Nov 21 2012 mitya <mitya> 0.25-1.mga3
+ Revision: 320375
- New version 0.25

* Sun Sep 16 2012 mitya <mitya> 0.21-1.mga3
+ Revision: 294648
- New version 0.21

* Sun Oct 30 2011 ovitters <ovitters> 0.20-2.mga2
+ Revision: 160194
- clean spec file (thanks wally)

* Sun Oct 30 2011 ovitters <ovitters> 0.20-1.mga2
+ Revision: 160126
- imported package transmageddon

